Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.page
Class ArrayPageAdapter

    java.lang.Object
      com.sun.mdm.index.page.ArrayPageAdapter

All Implemented Interfaces:
  PageAdapter, java.io.Serializable

public class ArrayPageAdapter
extends java.lang.Object
implements PageAdapter, java.io.Serializable

Adapts any array for use in PageIterator

See Also:
  Serialized Form

Constructor Summary
`ArrayPageAdapter(java.util.List objList)` Creates a new instance of ArrayPageAdapter
`ArrayPageAdapter(java.lang.Object[] objArray)` Creates a new instance of ArrayPageAdapter

Method Summary
`void` | `activate()` See PageAdapter
`void` | `close()` See PageAdapter
`int` | `count()` See PageAdapter
`boolean` | `hasNext()` See PageAdapter
`void` | `idleTimeOut()` See PageAdapter
`java.lang.Object` | `next()` See PageAdapter
`void` | `passivate()` See PageAdapter
`java.lang.Object` | `prev()` See PageAdapter
`void` | `setCurrentPosition(int index)` See PageAdapter
`void` | `setReadForwardOnly(boolean forwardOnly)` Set the forward only mode that will clear all the DataPage objects of of a given loaded page i when we start reading/loading the next page i+1.
`void` | `sort(java.util.Comparator c)` See PageAdapter
`void` | `sortSummary(java.util.Comparator c)` See PageAdapter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayPageAdapter

    public ArrayPageAdapter(java.util.List objList)

  Creates a new instance of ArrayPageAdapter

  Parameters:
    `objList` - Data source as a list

### ArrayPageAdapter

    public ArrayPageAdapter(java.lang.Object[] objArray)

  Creates a new instance of ArrayPageAdapter

  Parameters:
    `objArray` - Data source as an array

Method Detail

### activate

    public void activate()

  See PageAdapter

  Specified by:
    `activate` in interface `PageAdapter`

### close

    public void close()

  See PageAdapter

  Specified by:
    `close` in interface `PageAdapter`

### count

    public int count()
              throws PageException

  See PageAdapter

  Specified by:
    `count` in interface `PageAdapter`
  Returns:
    See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### hasNext

    public boolean hasNext()

  See PageAdapter

  Specified by:
    `hasNext` in interface `PageAdapter`
  Returns:
    See PageAdapter

### idleTimeOut

    public void idleTimeOut()

  See PageAdapter

  Specified by:
    `idleTimeOut` in interface `PageAdapter`

### next

    public java.lang.Object next()
                          throws PageException

  See PageAdapter

  Specified by:
    `next` in interface `PageAdapter`
  Returns:
    See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### passivate

    public void passivate()

  See PageAdapter

  Specified by:
    `passivate` in interface `PageAdapter`

### prev

    public java.lang.Object prev()
                          throws PageException

  See PageAdapter

  Specified by:
    `prev` in interface `PageAdapter`
  Returns:
    See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### setCurrentPosition

    public void setCurrentPosition(int index)
                            throws PageException

  See PageAdapter

  Specified by:
    `setCurrentPosition` in interface `PageAdapter`
  Parameters:
    `index` - See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### setReadForwardOnly

    public void setReadForwardOnly(boolean forwardOnly)
                            throws PageException

  Set the forward only mode that will clear all the DataPage objects of of a given loaded page i when we start reading/loading the next page i+1.

  Specified by:
    `setReadForwardOnly` in interface `PageAdapter`
  Parameters:
    `forwardOnly` - the
  Throws:
    `PageException` - An error occured.

### sort

    public void sort(java.util.Comparator c)
              throws PageException

  See PageAdapter

  Specified by:
    `sort` in interface `PageAdapter`
  Parameters:
    `c` - See PageAdapter
  Throws:
    `PageException` - See PageAdapter

### sortSummary

    public void sortSummary(java.util.Comparator c)
                     throws PageException

  See PageAdapter

  Specified by:
    `sortSummary` in interface `PageAdapter`
  Parameters:
    `c` - See PageAdapter
  Throws:
    `PageException` - See PageAdapter

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.